## ThunarShortcutsIconRenderer ThunarShortcutsIconRenderer |

## Functions

GtkCellRenderer * | thunar_shortcuts_icon_renderer_new ()

## Properties

ThunarDevice * | device | Read / Write
GIcon * | gicon | Read / Write

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkCellRenderer
                ╰── ThunarIconRenderer
                    ╰── ThunarShortcutsIconRenderer

## Description

## Functions

### thunar_shortcuts_icon_renderer_new ()

    GtkCellRenderer *
    thunar_shortcuts_icon_renderer_new (void);

Allocates a new ThunarShortcutsIconRenderer instance.

#### Returns

the newly allocated ThunarShortcutsIconRenderer.

## Property Details

### The `“device”` property

      “device”                   ThunarDevice *

The ThunarDevice for which to render an icon or `NULL` to fallback to the default icon renderering (see ThunarIconRenderer).

Owner: ThunarShortcutsIconRenderer

Flags: Read / Write

### The `“gicon”` property

      “gicon”                    GIcon *

gicon.

Owner: ThunarShortcutsIconRenderer

Flags: Read / Write